Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class SpecifiedStatistics

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.SpecifiedStatistics

    public class SpecifiedStatistics

extends SingleCSOperator

Creates a table in the business data schema with the statistics values in them.

Version:
  $Id: SpecifiedStatistics.java,v 1.6 2006/09/27 14:59:56 euler Exp $
Author:
  Timm Euler

Field Summary
`static java.lang.String` | `AVG_SUFFIX`
`static java.lang.String` | `COUNT_SUFFIX`
`static java.lang.String` | `MAX_SUFFIX`
`static java.lang.String` | `MIN_SUFFIX`
`static java.lang.String` | `PARAMETER_ATTR_AVG`
`static java.lang.String` | `PARAMETER_ATTR_COUNT`
`static java.lang.String` | `PARAMETER_ATTR_DISTRIB`
`static java.lang.String` | `PARAMETER_ATTR_GROUPBY`
`static java.lang.String` | `PARAMETER_ATTR_MAX`
`static java.lang.String` | `PARAMETER_ATTR_MIN`
`static java.lang.String` | `PARAMETER_ATTR_SUM`
`static java.lang.String` | `PARAMETER_ATTR_UNIQUE`
`static java.lang.String` | `PARAMETER_DISTRIB_VAL`
`static java.lang.String` | `SUM_SUFFIX`
`static java.lang.String` | `UNIQUE_SUFFIX`

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`SpecifiedStatistics()`

Method Summary
`protected java.lang.String` | `generateColumns(Columnset csForOutputConcept)` Overrides the method in ConceptOperator.java, because the relationship between features of TheOutputConcept and TheInputConcept is more complex.
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart)` This method must return the SQL definition of the newly created ColumnSet.
`java.lang.String` | `getTypeOfNewColumnSet()` This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.
`protected boolean` | `mustCopyFeature(java.lang.String nameOfFeature)` This method is for operators that do not copy all Features of the input concept to the output concept.

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUM_SUFFIX

    public static final java.lang.String SUM_SUFFIX

See Also:
  Constant Field Values

### COUNT_SUFFIX

    public static final java.lang.String COUNT_SUFFIX

See Also:
  Constant Field Values

### UNIQUE_SUFFIX

    public static final java.lang.String UNIQUE_SUFFIX

See Also:
  Constant Field Values

### MIN_SUFFIX

    public static final java.lang.String MIN_SUFFIX

See Also:
  Constant Field Values

### MAX_SUFFIX

    public static final java.lang.String MAX_SUFFIX

See Also:
  Constant Field Values

### AVG_SUFFIX

    public static final java.lang.String AVG_SUFFIX

See Also:
  Constant Field Values

### PARAMETER_ATTR_SUM

    public static final java.lang.String PARAMETER_ATTR_SUM

See Also:
  Constant Field Values

### PARAMETER_ATTR_GROUPBY

    public static final java.lang.String PARAMETER_ATTR_GROUPBY

See Also:
  Constant Field Values

### PARAMETER_ATTR_AVG

    public static final java.lang.String PARAMETER_ATTR_AVG

See Also:
  Constant Field Values

### PARAMETER_ATTR_MIN

    public static final java.lang.String PARAMETER_ATTR_MIN

See Also:
  Constant Field Values

### PARAMETER_ATTR_MAX

    public static final java.lang.String PARAMETER_ATTR_MAX

See Also:
  Constant Field Values

### PARAMETER_ATTR_COUNT

    public static final java.lang.String PARAMETER_ATTR_COUNT

See Also:
  Constant Field Values

### PARAMETER_ATTR_UNIQUE

    public static final java.lang.String PARAMETER_ATTR_UNIQUE

See Also:
  Constant Field Values

### PARAMETER_ATTR_DISTRIB

    public static final java.lang.String PARAMETER_ATTR_DISTRIB

See Also:
  Constant Field Values

### PARAMETER_DISTRIB_VAL

    public static final java.lang.String PARAMETER_DISTRIB_VAL

See Also:
  Constant Field Values

Constructor Detail

### SpecifiedStatistics

    public SpecifiedStatistics()

Method Detail

### getTypeOfNewColumnSet

    public java.lang.String getTypeOfNewColumnSet()

  Description copied from class: `SingleCSOperator`
  This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.

  Specified by:
    `getTypeOfNewColumnSet` in class `SingleCSOperator`
  Returns:
    The type of the new Columnset, either "V" or "T".
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.SingleCSOperator#getTypeOfNewColumnSet()`

### generateColumns

    protected java.lang.String generateColumns(Columnset csForOutputConcept)
                                        throws M4CompilerError

  Overrides the method in ConceptOperator.java, because the relationship between features of TheOutputConcept and TheInputConcept is more complex.

  Overrides:
    `generateColumns` in class `ConceptOperator`
  Parameters:
    `csForOutputConcept` - The ColumnSet for which Columns are to be produced.
  Returns:
    A String for the "SELECT"-part of the view definition for the given ColumnSet.
  Throws:
    `M4CompilerError`

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart)
                                           throws M4CompilerError

  Description copied from class: `SingleCSOperator`
  This method must return the SQL definition of the newly created ColumnSet.

  Specified by:
    `generateSQLDefinition` in class `SingleCSOperator`
  Parameters:
    `selectPart` - The SQL string between "SELECT" and "FROM" for the SQL definition to be returned.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.SingleCSOperator#generateSQLDefinition(String)`

### mustCopyFeature

    protected boolean mustCopyFeature(java.lang.String nameOfFeature)

  Description copied from class: `ConceptOperator`
  This method is for operators that do not copy all Features of the input concept to the output concept.

  Specified by:
    `mustCopyFeature` in class `ConceptOperator`
  Parameters:
    `nameOfFeature` - Name of the feature in question.
  Returns:
    TRUE if this feature should be copied to the output concept, FALSE if not.
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#mustCopyFeature(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005